Diligent Engine API Reference: Diligent::ISwapChainD3D11 Class Reference

Diligent Engine API Reference

Public Member Functions | List of all members
Diligent::ISwapChainD3D11 Class Referenceabstract

Interface to the swap chain object implemented in D3D11. More...

Inheritance diagram for Diligent::ISwapChainD3D11:

## Public Member Functions
virtual IDXGISwapChain * | GetDXGISwapChain ()=0
| Returns a pointer to the IDXGISwapChain interface of the internal DXGI object. More...
virtual ID3D11RenderTargetView * | GetRTV ()=0
| Returns d3d11 render target view of the swap chain's back buffer. More...
virtual ID3D11DepthStencilView * | GetDSV ()=0
| Returns d3d11 depth stencil view of the internal depth buffer object. More...
Public Member Functions inherited from Diligent::ISwapChain
virtual void | Present ()=0
| Presents a rendered image to the user.
virtual const SwapChainDesc & | GetDesc () const =0
| Returns the swap chain desctription.
virtual void | Resize (Uint32 NewWidth, Uint32 NewHeight)=0
| Changes the swap chain's back buffer size. More...

## Detailed Description

Interface to the swap chain object implemented in D3D11.

## Member Function Documentation

## ◆ GetDSV()

virtual ID3D11DepthStencilView* Diligent::ISwapChainD3D11::GetDSV | ( |  | ) |
| pure virtual

Returns d3d11 depth stencil view of the internal depth buffer object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::SwapChainD3D11Impl.

## ◆ GetDXGISwapChain()

virtual IDXGISwapChain* Diligent::ISwapChainD3D11::GetDXGISwapChain | ( |  | ) |
| pure virtual

Returns a pointer to the IDXGISwapChain interface of the internal DXGI object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::SwapChainD3D11Impl.

## ◆ GetRTV()

virtual ID3D11RenderTargetView* Diligent::ISwapChainD3D11::GetRTV | ( |  | ) |
| pure virtual

Returns d3d11 render target view of the swap chain's back buffer.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::SwapChainD3D11Impl.